<template>
  <div class="container-home">
    <div class="container-text">
        <p ref="description">
            <span class="container-word">
                <span>Bonjour </span>
            </span><span class="container-word"><span>😇, </span></span><span class="container-word"><span>je </span></span><span class="container-word"><span>suis </span></span><span class="container-word"><span>Lucie </span></span><span class="container-word"><span>, </span></span><span class="container-word"><span>j’ai </span></span><span class="container-word"><span>19 </span></span><span class="container-word"><span>ans </span></span><span class="container-word"><span>et </span></span><span class="container-word"><span>le </span></span><span class="container-word"><span>permis </span></span><span class="container-word"><span>🚘. </span></span><span class="container-word"><span>J’ai </span></span><span class="container-word"><span>décidé </span></span><span class="container-word"><span>après </span></span><span class="container-word"><span>l’obtention </span></span><span class="container-word"><span>de </span></span><span class="container-word"><span>mon </span></span><span class="container-word"><span>bac </span></span><span class="container-word"><span>de </span></span><span class="container-word"><span>faire </span></span><span class="container-word"><span>une </span></span><span class="container-word"><span>année </span></span><span class="container-word"><span>sabbatique, </span></span><span class="container-word"><span>me </span></span><span class="container-word"><span>permettant </span></span><span class="container-word"><span>de </span></span><span class="container-word"><span>vous </span></span><span class="container-word"><span>proposer </span></span><span class="container-word"><span>quelques </span></span><span class="container-word"><span>services. </span></span><span class="container-word"><span>J’ai </span></span><span class="container-word"><span>de </span></span><span class="container-word"><span>la </span></span><span class="container-word"><span>créativité </span></span><span class="container-word"><span>que </span></span><span class="container-word"><span>je </span></span><span class="container-word"><span>partage </span></span><span class="container-word"><span>dans </span></span><span class="container-word"><span>le </span></span><span class="container-word"><span>dessin </span></span><span class="container-word"><span>🎨, </span></span><span class="container-word"><span>la </span></span><span class="container-word"><span>cuisine </span></span><span class="container-word"><span>🍪 </span></span><span class="container-word"><span>et </span></span><span class="container-word"><span>le </span></span><span class="container-word"><span>maquillage. </span></span><span class="container-word"><span>J’adore </span></span><span class="container-word"><span>voyager </span></span><span class="container-word"><span>✈️ </span></span><span class="container-word"><span>même </span></span><span class="container-word"><span>si </span></span><span class="container-word"><span>en </span></span><span class="container-word"><span>ce </span></span><span class="container-word"><span>moment, </span></span><span class="container-word"><span>c’est </span></span><span class="container-word"><span>compliqué </span></span><span class="container-word"><span>🦠. </span></span><span class="container-word"><span>Et </span></span><span class="container-word"><span>j’aime </span></span><span class="container-word"><span>surtout </span></span><span class="container-word"><span>porter </span></span><span class="container-word"><span>main </span></span><span class="container-word"><span>forte </span></span><span class="container-word"><span>aux </span></span><span class="container-word"><span>gens. </span></span><span class="container-word"><span>Et </span></span><span class="container-word"><span>aujourd’hui, </span></span><span class="container-word"><span>je </span></span><span class="container-word"><span>peux </span></span><span class="container-word"><span>peut-être </span></span><span class="container-word"><span>vous </span></span><span class="container-word"><span>aider </span></span><span class="container-word"><span>😉! </span></span>
        </p>
    </div>
    <div class="container-img">
        <img src="../assets/img/Lucie.png" alt="">
    </div>
  </div>
</template>

<script>
export default {
  name: "HomePage",
/*   mounted() {
    const p = this.$refs.description;

    const result = p.textContent.split(/ /).map((el) => {
      const spanM = document.createElement("span");
      const spanD = document.createElement("span");

      spanM.classList.add("container-word");
      spanD.textContent = el + " ";

      spanM.appendChild(spanD);

      return spanM;
    });

    p.textContent = "";

    result.forEach((element) => {
      p.append(element);
    });
  }, */
};
</script>

<style lang="scss" scoped>
@import "../style/default";

* {
  margin: 0;
  padding: 0;
}

.container-home {
  display: flex;

  justify-content: space-around;

  align-items: center;

  margin-top: 5%;
  margin-bottom: 5%;
  overflow-x: hidden;

  .container-text {
    width: 50%;

    font-size: 2em;
    font-family: $default-font;
    font-weight: 400;

    letter-spacing: 2px;

    .container-word {

        overflow: hidden;

        display: inline-block;

      span{
            display: inline-block;
            
            padding: 3px;

            opacity: 0;

            animation-delay: .5s;
            animation-name: textAppear;
            animation-duration: 2s;

            animation-fill-mode: forwards;
      }

    }
  }

  .container-img {
    width: 30%;
    height: 500px;

    img {
      width: 450px;
      height: 500px;
      object-fit: cover;

      border-radius: 5px;

      animation: imgAppear 3s cubic-bezier(0.4, 0, 0.2, 1);
    }
  }
}

@keyframes imgAppear {
  0% {
    opacity: 0;
    transform: translateX(500px);
  }

  100% {
    opacity: 1;
    transform: translateX(0px);
  }
}

@keyframes textAppear {
  0% {
    transform: translateY(50px);
    opacity: 0;
  }

  100% {
    opacity: 1;
    transform: translateY(0px);
  }
}
</style>



